#!/usr/local/bin/perl5
# 13to14.pl - by furukawa@tcp-ip.or.jp
# Namazu v1.3 ηΥǥå v1.4 Ѵ
# usage: perl5 13to14.pl
{
    my($tmp) = $0;

    $tmp = "./$tmp" if -e $tmp && $tmp !~ /[\/\\]/;
    while ($tmp =~ /^(.*[\/\\])/){
        unshift(@INC, $1);
        last if !-l $tmp;
        $tmp = $1 . $tmp if ($tmp = readlink($tmp)) !~ /^\//;
    }
}

require 'nmztxt.pl';

$TMP_F = "TMP_F.tmp.$$";
$TMP_W = "TMP_W.tmp.$$";
$TMP_P = "TMP_P.tmp.$$";

&nmztxt::init('NMZ');

if (open(FTI, "$nmztxt::DbPath.t")){
    if (&nmztxt::wopen(*FTO, "$nmztxt::DbPath.t")){
        while (defined($_ = &nmztxt::readint(*FTI))){
            print FTO pack('N', $_);
        }
        close(FTO);
    }
    close(FTI);
}

&nmztxt::flist2txt($TMP_F);
&nmztxt::word2txt($TMP_W);
&nmztxt::phrase2txt($TMP_P);

&nmztxt::set_inttype('w');

&nmztxt::txt2flist($TMP_F);
&nmztxt::txt2word($TMP_W);
&nmztxt::txt2phrase($TMP_P);

&nmztxt::nmzkeys;
&nmztxt::nmztotal;

unlink 'NMZ.h', 'NMZ.le', 'NMZ.be';
unlink $TMP_F, $TMP_W, $TMP_P;

&nmztxt::log_aopen(*FH, '[Index Conversion]');
&nmztxt::log_close(*FH);

&nmztxt::end;
