#!/usr/local/bin/perl5
# msgid.pl - by furukawa@tcp-ip.or.jp
# $B%G!<%?%Y!<%9$r=q$-49$($F!"(BHREF $B$NCf?H$r!"(B"news:..." $B$KCV$-49$($k(B
# usage: perl5 msgid.pl
{
    my($tmp) = $0;
    $tmp = "./$tmp" if $tmp !~ /[\/\\]/;
    while ($tmp =~ /^(.*[\/\\])/){
        unshift(@INC, $1);
        last if !-l $tmp;
        $tmp = $1 . $tmp if ($tmp = readlink($tmp)) !~ /^\//;
    }
}

require 'nmztxt.pl';

# $B%F%s%]%i%j%U%!%$%k$N@_Dj(B
$FI = 'FLIST_I.tmp';
$FO = 'FLIST_O.tmp';

&nmztxt::init('NMZ');

# $B%G!<%?%Y!<%9(B -> $B%F%-%9%H$NJQ49(B
&nmztxt::flist2txt($FI);

if (open(MID, "$nmztxt::DbPath.field.message-id")){
    open(FI, $FI);
    open(FO, ">$FO");

    $/ = '';
    while (defined($felem = <FI>)){
        local($/) = "\n";
        last unless defined($mesid = <MID>);
        chomp $mesid;
        $mesid =~ s/^\<//;
        $mesid =~ s/\>$//;
        ($fileno, $r, $dt, $st, $summary, $dd) = split(/\n/, $felem, 6);

        $st =~ s/(HREF\=\")[^\"]*/$1news:$mesid/;
        $dd =~ s/(HREF\=\")[^\"]*(\">)[^\<]*/$1news:$mesid$2$mesid/;

        $felem = "$fileno\n$r\n$dt\n$st\n$summary\n$dd";
        print FO "$felem\n\n";
    }
    close(FI);
    close(FO);

    # $B%G!<%?%Y!<%9$K=q$-La$9(B
    &nmztxt::txt2flist($FO);
    &nmztxt::end;
    unlink($FO);
}
unlink($FI);
