#! /usr/local/bin/perl5 -w
# -*- Perl -*-
#
# search.pl -- sample program to search.
#         by furukawa@tcp-ip.or.jp

# ΥץȤϡnmzidx.pl Ȥäơץ򼫺뤿
# ΡץȤѰդΤǤΥץȼΤˤϡ
# ǽϤޤ

# ޤ nmzidx.pl Ǥϡnamazu εǽϡݡȤ
# ޤ

# nmzidx.txt 滲Ȳ

{
    $tmp = "./$tmp" if (my $tmp = $0) !~ /[\/\\]/;
    while ($tmp =~ /^(.*[\/\\])/){
        unshift(@INC, $1);
        last if !-l $tmp;
        $tmp = $1 . $tmp if ($tmp = readlink($tmp)) !~ /^\//;
    }
}

# nmzidx.pl ɤߤߤޤ
require 'nmzidx.pl';

my $forward = 0;
while (@ARGV && $ARGV[0] =~ s/^\-//){
    my $argv = shift;
    while ($argv =~ s/^(.)//){
        $forward = 1 if $1 eq 'f';
    }
}

if (@ARGV){
    my $keyword = shift;

    if (@ARGV){
        for my $argv (@ARGV){
            $argv =~ s/NMZ$// unless -d $argv;
            $argv = '.' if $argv eq '';
            &search($argv, $keyword) if -d $argv;
        }
    }else{
        &search('.', $keyword);
    }
}

sub search{
    my($dir, $keyword) = @_;
    my $word;
    my %score;


    my $nmz = new nmzidx($dir, 's');    # namazu ֥
    my $nw = $nmz->open_word;           # ñ󥪥֥
    my $nf = $nmz->open_flist;          # ե󥪥֥
    my $np = $nmz->open_phrase;         # ե졼󥪥֥

    if ($forward){
        # ϡ׸ΥץǤ
        my @list;

        # @list ˡ$keyword ǻϤޤñΥꥹȤޤ
        $nw->forward(\@list, $keyword);

        for my $key (@list){
            my %tmp;

            # %tmp ˡ $tmp θ̤
            #     $tmp{ʸֹ} = 
            # Ȥޤ
            $nw->search(\%tmp, $key);

            for my $no (keys %tmp){
                $score{$no} = $tmp{$no} if !defined($score{$no}) || $score{$no} < $tmp{$no};
            }
        }
    }else{
        # ϡ狼񤭤ʤ鸡륵ץǤ
        my ($pre, $wktword);
        for (my $init = 1; $keyword ne ''; $init = 0){

            #  $keyword 狼񤭤ޤ
            # ֤ͤ $pre ˤϡĹפ줬ޤ
            # ֤ͤ $keyword ˤϡĤθ줬ޤ
            #
            # ֤ͤ $keyword ϡޤ狼񤭤;Ϥޤ
            ($pre, $keyword) = $nw->wakati($keyword);

            # $keyword ˰פ줬äˤϡ
            # $pre ꡢ$keyword  '' ˤʤޤ
            # ʸפ줬ʤäˤϡ
            # $pre  '' ˤʤꡢ$keyword ϡΤޤޤǤ
            %score = (), last if $pre eq '';

            my %tmp;
            $nw->search(\%score, $pre), $wktword = $pre, next if $init;
            $nw->search(\%tmp, $pre);
            for my $no (keys %score){
                delete $score{$no}, next unless defined $tmp{$no};
                $score{$no} = $tmp{$no} if $score{$no} > $tmp{$no};
            }

            # $wktword $pre Υե졼򸡺ޤ
            # ̤ϡ%tmp 
            #     $tmp{ʸֹ} = 1
            # Ȥޤ
            $np->search(\%tmp, $wktword, $pre);

            for my $no (keys %score){
                delete $score{$no} unless defined $tmp{$no};
            }
            $wktword = $pre;
        }
    }



    #  %score Ȥäơʸɽޤ
    for my $doc (sort {$a <=> $b} keys %score){
        my %list;

        # $doc Ǽʸֹ seek ޤ
        $nf->seek($doc, 0);
        
        # %list ˡʸɤߤޤޤ
        $nf->read(\%list);

        print "No. = $doc\nScore = $score{$doc}\n";

        # $list{'t'} ˤϡNMZ.t ξ (ॹ) äƤޤ
        if ($list{'t'} == -1){
            # 줿ȥǤϡ-1 ˤʤޤ
            print "Time = $list{'t'} (Deleted)\n";
        }else{
            print "Time = $list{'t'} (" . localtime($list{'t'}) . ")\n";
        }


        # $list{'field'} ˤϡNMZ.field.* ξäƤޤ
        my $field = $list{'field'};
        for my $key (sort keys %$field){
            print " $key = $field->{$key}\n";
        }
        print "\n";
    }
}
